Skip to content

Updates a billing template with the specified ID.

Request

This method will update an existing billing template with the specified ID.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the billing template to update.

Bodyapplication/jsonrequired

The updated billing template that will be saved.

advance_phasesboolean(Advance Phases)

When true, training providers should be sent invoices for training registrations

descriptionstring(Description)

A description of the template

fundraising_notice_optionsobject(Fundraising Notice Options)required
idstring(ID)/^[\w|-]+$/required

The unique, string identifier of this billing template

is_activeboolean(Is Active)

Whether or not this billing template is active

namestring(Name)required

The name of the billing template

notification_emailstring(Notification Email)

Te address to send notifications

phase_advancement_optionsobject(Phase Advancement Options)required
send_fundraising_noticesboolean(Send Fundraising Notices)

If set, this billing run will perform phase advancements

send_team_noticesboolean(Send Team Notices)

If set, this billing run will perform phase advancements

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

team_notice_optionsobject(Team Notice Options)required
curl -i -X PUT \
  'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/billingTemplates/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "advance_phases": true,
    "description": "string",
    "fundraising_notice_options": {
      "expiration_date_range_end": {
        "number": 0,
        "position": "after",
        "relative_to": "the beginning of the month",
        "unit_of_time": "days"
      },
      "expiration_date_range_start": {
        "number": 0,
        "position": "after",
        "relative_to": "the beginning of the month",
        "unit_of_time": "days"
      },
      "notice_id": "string",
      "phase_ids": [
        "string"
      ],
      "phase_restriction": "exclude",
      "program_ids": [
        "string"
      ],
      "program_restriction": "exclude",
      "school_ids": [
        "string"
      ],
      "school_restriction": "exclude"
    },
    "id": "string",
    "is_active": true,
    "name": "string",
    "notification_email": "string",
    "phase_advancement_options": {
      "expiration_date_range_end": {
        "number": 0,
        "position": "after",
        "relative_to": "the beginning of the month",
        "unit_of_time": "days"
      },
      "expiration_date_range_start": {
        "number": 0,
        "position": "after",
        "relative_to": "the beginning of the month",
        "unit_of_time": "days"
      },
      "notice_id": "string",
      "phase_ids": [
        "string"
      ],
      "phase_restriction": "exclude",
      "program_ids": [
        "string"
      ],
      "program_restriction": "exclude",
      "school_ids": [
        "string"
      ],
      "school_restriction": "exclude"
    },
    "send_fundraising_notices": true,
    "send_team_notices": true,
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "team_notice_options": {
      "phase_ids": [
        "string"
      ],
      "phase_restriction": "exclude",
      "program_ids": [
        "string"
      ],
      "program_restriction": "exclude",
      "school_ids": [
        "string"
      ],
      "school_restriction": "exclude",
      "team_notice_id": "string",
      "visit_start_date_range_end": {
        "number": 0,
        "position": "after",
        "relative_to": "the beginning of the month",
        "unit_of_time": "days"
      },
      "visit_start_date_range_start": {
        "number": 0,
        "position": "after",
        "relative_to": "the beginning of the month",
        "unit_of_time": "days"
      },
      "visit_type_ids": [
        "string"
      ],
      "visit_type_restriction": "exclude"
    }
  }'

Responses

The billing template was updated successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
advance_phasesboolean(Advance Phases)

When true, training providers should be sent invoices for training registrations

descriptionstring(Description)

A description of the template

fundraising_notice_optionsobject(Fundraising Notice Options)required
idstring(ID)/^[\w|-]+$/required

The unique, string identifier of this billing template

is_activeboolean(Is Active)

Whether or not this billing template is active

namestring(Name)required

The name of the billing template

notification_emailstring(Notification Email)

Te address to send notifications

phase_advancement_optionsobject(Phase Advancement Options)required
send_fundraising_noticesboolean(Send Fundraising Notices)

If set, this billing run will perform phase advancements

send_team_noticesboolean(Send Team Notices)

If set, this billing run will perform phase advancements

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

team_notice_optionsobject(Team Notice Options)required
Response
{ "advance_phases": true, "description": "string", "fundraising_notice_options": { "expiration_date_range_end": { … }, "expiration_date_range_start": { … }, "notice_id": "string", "phase_ids": [ … ], "phase_restriction": "exclude", "program_ids": [ … ], "program_restriction": "exclude", "school_ids": [ … ], "school_restriction": "exclude" }, "id": "string", "is_active": true, "name": "string", "notification_email": "string", "phase_advancement_options": { "expiration_date_range_end": { … }, "expiration_date_range_start": { … }, "notice_id": "string", "phase_ids": [ … ], "phase_restriction": "exclude", "program_ids": [ … ], "program_restriction": "exclude", "school_ids": [ … ], "school_restriction": "exclude" }, "send_fundraising_notices": true, "send_team_notices": true, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "team_notice_options": { "phase_ids": [ … ], "phase_restriction": "exclude", "program_ids": [ … ], "program_restriction": "exclude", "school_ids": [ … ], "school_restriction": "exclude", "team_notice_id": "string", "visit_start_date_range_end": { … }, "visit_start_date_range_start": { … }, "visit_type_ids": [ … ], "visit_type_restriction": "exclude" } }